Files
Upload, download, and delete files attached to documents.
|
Endpoints
| POST | /api/v1/sign/documents/{id}/files | Add a file |
| GET | /api/v1/sign/documents/{id}/files/{fileId} | Download a file |
| DELETE | /api/v1/sign/documents/{id}/files/{fileId} | Delete a file |
POST
/api/v1/sign/documents/{id}/filesAdd a file
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Document ID |
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/sign/documents/doc_123e4567e89b12d3a456426614174000/files" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/sign/documents/{id}/files/{fileId}Download a file
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Document ID |
fileId | string | Optional | File ID |
Code Examples
curl "https://api.blueai.jp/api/v1/sign/documents/doc_123e4567e89b12d3a456426614174000/files/file_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/sign/documents/{id}/files/{fileId}Delete a file
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Document ID |
fileId | string | Optional | File ID |
Code Examples
curl -X DELETE "https://api.blueai.jp/api/v1/sign/documents/doc_123e4567e89b12d3a456426614174000/files/file_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"